Moose::Autobox::List(3)

NAME
Moose::Autobox::List - the List role

DESCRIPTION
This is a role to describes a List interface. This is not meant to be any specific Perl type, but instead an interface that certain Perl types might implement. Currenly only Moose::Autobox::Array implements this.

METHODS

reduce
zip
meta

REQUIRED METHODS

head
tail
join
length
map
grep
reverse
sort

BUGS
All complex software has bugs lurking in it, and this module is no exception. If you find a bug please either email me, or add the bug to cpan-RT.

AUTHOR
Stevan Little <stevan@iinteractive.com>

COPYRIGHT AND LICENSE
Copyright 2006-2008 by Infinity Interactive, Inc.

<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.